from django.urls import path
from . import views
from .views import ServicePartnerLoginView

app_name = 'service_partner_app'

urlpatterns = [
    path('', views.home_service_partner, name='home_service_partner'),
    path('about-ensolanka/', views.about_us_assistants, name='about_us_assistants'),
    path('terms-and-conditions/', views.terms_page, name='terms_page'),
    path('faq/', views.faq_page, name='faq_page'),
    path('privacy-policy/', views.privacy_policy_page, name='privacy_policy_page'),
    path(
        'refund-payment-policy/',
        views.refund_payment_policy_page,
        name='refund_payment_policy_page'
    ),
    path(
        'disclaimer/',
        views.disclaimer_page,
        name='disclaimer_page'
    ),
    path(
        'cookie-policy/',
        views.cookie_policy_page,
        name='cookie_policy_page'
    ),
    path('contact/', views.contact_page, name='contact_page'),
    path('success/', views.success_page, name='success_page'),
    #path('services/assistants/', views.service_partner_home, name='service_partner_home'),
    path('register/', views.service_partner_register, name='service_partner_register'),
    path('login/', ServicePartnerLoginView.as_view(), name='service_partner_login'),
    path('assistant-password-reset/', views.ServicePartnerPasswordResetView.as_view(), name='assistant_password_reset'),
    path('assistant-password-reset/done/', views.ServicePartnerPasswordResetDoneView.as_view(), name='assistant_password_reset_done'),
    path('assistant-reset/<uidb64>/<token>/', views.ServicePartnerPasswordResetConfirmView.as_view(), name='assistant_password_reset_confirm'),
    path('assistant-reset/done/', views.ServicePartnerPasswordResetCompleteView.as_view(), name='assistant_password_reset_complete'),

    path('dashboard/', views.service_partner_dashboard, name='service_partner_dashboard'),
    path('profile/', views.service_partner_profile_page, name='service_partner_profile_page'),
    
    path('profile/edit/', views.edit_service_partner_profile, name='edit_service_partner_profile'),
    path('profile/upload-image/', views.upload_service_partner_profile_image, name='upload_service_partner_profile_image'),
    path('profile/change-username/', views.change_service_partner_username, name='change_service_partner_username'),
    path('profile/change-password/', views.change_service_partner_password, name='change_service_partner_password'),

    path('profiles/', views.public_assistant_list, name='public_assistant_list'),
    path('profiles/<int:pk>/', views.public_assistant_detail, name='public_assistant_detail'),
    path('assistants/<int:pk>/express-interest/', views.express_service_partner_interest, name='express_service_partner_interest'),
    path(
        'dashboard/interested-foreigners/',
        views.interested_foreigners_list,
        name='interested_foreigners_list'
    ),
    path('payment-center/', views.service_partner_payment_center, name='service_partner_payment_center'),
    path('payment-checkout/', views.service_partner_payment_checkout, name='service_partner_payment_checkout'),
    path('payment-checkout/pay/', views.service_partner_payment_checkout_pay, name='service_partner_payment_checkout_pay'),
    path('start-stripe/', views.start_service_partner_stripe_checkout, name='start_service_partner_stripe_checkout'),
    path('start-paypal/', views.start_service_partner_paypal_checkout, name='start_service_partner_paypal_checkout'),
    path(
        'stripe-payment-success/<int:transaction_id>/',
        views.service_partner_stripe_payment_success,
        name='service_partner_stripe_payment_success'
    ),  
    path(
        'payment-success/<int:transaction_id>/',
        views.service_partner_payment_success,
        name='service_partner_payment_success'
    ),

    path(
        'payment-cancelled/<int:transaction_id>/',
        views.service_partner_payment_cancelled,
        name='service_partner_payment_cancelled'
    ),

    path(
        'payment-failed/<int:transaction_id>/',
        views.service_partner_payment_failed,
        name='service_partner_payment_failed'
    ),
    path(
        'information-center/',
        views.service_partner_information_center,
        name='service_partner_information_center'
    ),

    path(
        'paypal-payment-success/<int:transaction_id>/',
        views.service_partner_paypal_payment_success,
        name='service_partner_paypal_payment_success'
    ),
    #wallet Top up

    path(
        'wallet/top-up/',
        views.service_partner_wallet_topup,
        name='service_partner_wallet_topup'
    ),

    path(
        'wallet/topup/start-stripe/',
        views.start_service_partner_wallet_topup_stripe_checkout,
        name='start_service_partner_wallet_topup_stripe_checkout'
    ),

    path(
        'wallet/topup/start-paypal/',
        views.start_service_partner_wallet_topup_paypal_checkout,
        name='start_service_partner_wallet_topup_paypal_checkout'
    ),

    path(
        'wallet-topup/stripe-success/<int:transaction_id>/',
        views.service_partner_wallet_topup_stripe_success,
        name='service_partner_wallet_topup_stripe_success'
    ),

    path(
        'wallet-topup/paypal-success/<int:transaction_id>/',
        views.service_partner_wallet_topup_paypal_success,
        name='service_partner_wallet_topup_paypal_success'
    ),

    path(
        'wallet-topup/cancelled/<int:transaction_id>/',
        views.service_partner_wallet_topup_cancelled,
        name='service_partner_wallet_topup_cancelled'
    ),

    path(
        'wallet-topup/failed/<int:transaction_id>/',
        views.service_partner_wallet_topup_failed,
        name='service_partner_wallet_topup_failed'
    ),
]